const mongoose = require("mongoose");

const WinnersSchema = new mongoose.Schema({
  name: {
    type: String,
  },
  campaignId: {
    type: String,
  },
  imageURL: {
    type: Array,
  },
  announcedOn: {
    type: String,
  },
  IsActive: {
    type: Boolean,
  },
  IsDelete: {
    type: Boolean,
  },
  CreatedBy: {
    type: String,
  },
  CreatedOn: {
    type: Date,
  },
  ModifiedBy: {
    type: String,
    default: null,
  },
  ModifiedOn: {
    type: Date,
    default: null,
  },
});

const Winners = mongoose.model("Winners", WinnersSchema);

module.exports = Winners;
